#
# spec file for package ganglia-web
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define web_prefixdir /srv/www/htdocs/ganglia-web
%define gittag f5bdfca75f9f5d701c8f8e9310f7801cd2e62799

Name:           ganglia-web
Version:        3.7.5
Release:        2.5
Summary:        Ganglia web frontend
License:        BSD-3-Clause
Group:          System/Monitoring
URL:            http://ganglia.info/
Source0:        https://github.com/ganglia/ganglia-web/archive/%{gittag}.tar.gz#/ganglia-web-%{version}.tar.gz
Source1:        ganglia-httpd24.conf.d
Source2:        README.SUSE
Patch1:         0001-added-of-download_js.patch
Patch2:         0002-looking-for-systemwide-user-config.patch
BuildRequires:  apache2
BuildRequires:  fdupes
BuildRequires:  rsync
Requires:       apache2
Requires:       mod_php_any
Requires:       php
Requires:       php-gd
Requires:       php-xml
Requires:       rrdtool
Recommends:     ganglia-gmetad
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides a web frontend to display the XML tree published by
ganglia, and to provide historical graphs of collected metrics. This website is
written in the PHP5/7 language and uses the Dwoo templating engine.

%prep
%setup -q -n %{name}-%{gittag}
%autopatch -p1

%build
cp %SOURCE2 .

%install
%{__sed} -i 's,www-data,abuild,' Makefile
%{__sed} -i 's,/usr/share/ganglia-webfrontend,%{buildroot}%{web_prefixdir},'  Makefile
%{__sed} -i 's,WEBPATH,%{web_prefixdir},' %SOURCE1
%{__sed} -i 's,/etc/ganglia-web,%{buildroot}/etc/apache2/conf.d,' Makefile
%{__sed} -i 's,/var/lib/ganglia,%{buildroot}/var/lib/ganglia,' Makefile

make install
install -d %{buildroot}/etc/apache2/conf.d
install -m 644 %SOURCE1 %{buildroot}/etc/apache2/conf.d/%{name}.conf
mkdir -pv %{buildroot}%{_docdir}/%{name}/
cp -v download_js.sh %{buildroot}%{_docdir}/%{name}/download_js.sh
# fix suprious buildroot in config
%{__sed} -i 's@%{buildroot}@@' %{buildroot}/%{web_prefixdir}/conf_default.php

%fdupes %{buildroot}%{web_prefixdir}
%fdupes %{buildroot}%{_localstatedir}/lib/ganglia-web

%files
%defattr(-,root,root)
%doc AUTHORS TODO README README.SUSE
%{_docdir}/%{name}/download_js.sh
%license COPYING
%dir %{web_prefixdir}/
%dir %{web_prefixdir}/dwoo
%{web_prefixdir}/*
%config(noreplace) /etc/apache2/conf.d/%{name}.conf
%dir %{_localstatedir}/lib/ganglia-web
%{_localstatedir}/lib/ganglia-web/conf
%attr(0755,wwwrun,www)%{_localstatedir}/lib/%{name}/dwoo
%attr(0755,wwwrun,www)%{_localstatedir}/lib/%{name}/dwoo/compiled
%attr(0755,wwwrun,www)%{_localstatedir}/lib/%{name}/dwoo/cache

%changelog
* Fri Jan 29 2021 Christian Goll <cgoll@suse.com>
- updated to 3.7.5 which fixes bsc#1179835
- various bugfixes and enhancements, highlights are:
  * heatmap coloring enhanced
  * Fix XSS from OBB#1005024 (https://www.openbugbounty.org/reports/1005024/)
  * uses `httponly` and `secure` flags in setcookie calls
  * add the available memory to the graph, if present
- Possible XSS via ce & cs parameters in header.php are no longer present
  in this version (bsc#1160761, CVE-2019-20378).
* Wed Dec  4 2019 Christian Goll <cgoll@suse.com>
- updated to version 3.7.4
- added patches for a global user config under /etc/ganglia/conf.d/
  and added download_js.sh which can download the external java
  script libararies.
  * new file: 0001-added-of-download_js.patch which adds download_js.sh
  * new file: 0002-looking-for-systemwide-user-config.patch which
    makes ganglia-web to serach for config in /etc/ganglia/conf.d/
* Mon Apr 16 2018 eich@suse.com
- Fix comment in config file to cover both php5 and php7
  (bsc#1088887).
* Tue Apr 10 2018 cgoll@suse.com
- Removed all explicit php dependencies (bsc#1088887)
  * updated README.SUSE
* Mon Oct 16 2017 cgoll@suse.com
- update to version 3.7.2
* Tue Oct 27 2015 scorot@free.fr
- version 3.6.2
  * Performance improvements
  * New clearer heatmaps
  * Other minor improvements and fixes
* Wed May  1 2013 scorot@free.fr
- first package
